Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1193039 - SMB: AIO options to be enabled for gluster shares in smb.conf for samba4.1
Summary: SMB: AIO options to be enabled for gluster shares in smb.conf for samba4.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: rhs-smb@redhat.com
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard: core
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 12:39 UTC by surabhi
Modified: 2017-09-01 10:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-01 10:18:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description surabhi 2015-02-16 12:39:49 UTC
Description of problem:
*************************************
As AIO feature is supported for gluster shares now with samba4.1 , the aio options should be enabled in smb.conf for the samba4.1 build.

Don't see the options to be set in smb.conf.

Press enter to see a dump of your service definitions

	aio read size = 0
	aio write size = 0
	aio write behind = 


Version-Release number of selected component (if applicable):
*****************************************
samba-vfs-glusterfs-4.1.16-3.el6rhs.x86_64
samba-winbind-modules-4.1.16-3.el6rhs.x86_64
samba-debuginfo-4.1.16-3.el6rhs.x86_64
samba-libs-4.1.16-3.el6rhs.x86_64
samba-common-4.1.16-3.el6rhs.x86_64
samba-winbind-4.1.16-3.el6rhs.x86_64
samba-winbind-krb5-locator-4.1.16-3.el6rhs.x86_64
samba-client-4.1.16-3.el6rhs.x86_64
samba-4.1.16-3.el6rhs.x86_64
samba-winbind-clients-4.1.16-3.el6rhs.x86_64


How reproducible:
****************************************
Always

Steps to Reproduce:
***************************************
1.Update to the latest build 
2.Check the smb.conf options for AIO
3.verify if it is enabled.

Actual results:
************************************
AIO option is disabled in smb.conf.


Expected results:
***********************************
AIO options should be enabled.


Additional info:

Comment 2 surabhi 2016-06-28 06:30:13 UTC
As decided with 3.1.2 release when we supported AIO , only the aio read size is supported config and it is already enabled in smb.conf.
So this bug is actually fixed with rhgs-3.1.3 release.We can move the bug to appropriate state.


Note You need to log in before you can comment on or make changes to this bug.